leetcode-python 两数之和

问题
给定一个整数数组 nums 和一个目标值 target,请你在该数组中找出和为目标值的那 两个 整数,并返回他们的数组下标。
你可以假设每种输入只会对应一个答案。但是,你不能重复利用这个数组中同样的元素。
示例:
给定 nums = [2, 7, 11, 15], target = 9
 
因为 nums[0] + nums[1] = 2 + 7 = 9
所以返回 [0, 1]

 

Code
#!/usr/bin/python3
# -*- coding:utf-8 -*-
class Solution:
    def twoSum(self, nums, target):
        hashmap = {}
        for index, num in enumerate(nums):
            another_num = target - num
            if another_num in hashmap:
                return [hashmap[another_num], index]
            hashmap[num] = index
        return None
        
obj=Solution()
res=obj.twoSum(nums = [2, 7, 11, 15], target = 9)
print(res)

 

Outputs
macname@MacdeMacBook-Pro py % python3 cccccc.py
[0, 1]
macname@MacdeMacBook-Pro py %

 

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

posted @ 2020-08-19 11:56  anobscureretreat  阅读(190)  评论(0编辑  收藏  举报